FreeMat

- Main Page
- Related Pages

vtkPropPicker

Section: Visualization Toolkit Rendering Classes

# Usage

vtkPropPicker is used to pick an actor/prop given a selection point (in display coordinates) and a renderer. This class uses graphics hardware/rendering system to pick rapidly (as compared to using ray casting as does vtkCellPicker and vtkPointPicker). This class determines the actor/prop and pick position in world coordinates; point and cell ids are not determined.

To create an instance of class vtkPropPicker, simply invoke its constructor as follows

      obj = vtkPropPicker

# Methods

The class vtkPropPicker has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPropPicker class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPropPicker = obj.NewInstance ()`
- `vtkPropPicker = obj.SafeDownCast (vtkObject o)`
- `int = obj.PickProp (double selectionX, double selectionY, vtkRenderer renderer)` - Perform the pick and set the PickedProp ivar. If something is picked, a 1 is returned, otherwise 0 is returned. Use the GetViewProp() method to get the instance of vtkProp that was picked. Props are picked from the renderers list of pickable Props.
- `int = obj.PickProp (double selectionX, double selectionY, vtkRenderer renderer, vtkPropCollection pickfrom)` - Perform a pick from the user-provided list of vtkProps and not from the list of vtkProps that the render maintains.
- `int = obj.Pick (double selectionX, double selectionY, double selectionZ, vtkRenderer renderer)` - Overide superclasses' Pick() method.
- `int = obj.Pick (double selectionPt[3], vtkRenderer renderer)` - Overide superclasses' Pick() method.